0 & = R_{\mu\nu} - \frac{1}{2} R g_{\mu\nu} \\
& = \begin{pmatrix} R_{00} - \frac{1}{2} R g_{00} & 0 & 0 & 0 \\
0 & R_{11} - \frac{1}{2} R g_{11} & 0 & 0 \\
0 & 0 & R_{22} - \frac{1}{2} R g_{22} & 0 \\
0 & 0 & 0 & R_{22} + \frac{r^2}{2} R \end{pmatrix} \\
& = R_{\mu\nu} - \frac{1}{2} R g_{\mu\nu} \\
& = \begin{pmatrix} R_{00} - \frac{1}{2} R g_{00} & 0 & 0 & 0 \\
0 & R_{11} - \frac{1}{2} R g_{11} & 0 & 0 \\
0 & 0 & R_{22} - \frac{1}{2} R g_{22} & 0 \\
0 & 0 & 0 & R_{22} + \frac{r^2}{2} R \end{pmatrix} \\
\Downarrow \\
R_{00} - \frac{1}{2} R g_{00} & = -\frac{1}{r} \frac{\partial_r{B(r)}}{(B(r))^2}
- \frac{1}{r^2}\left( 1 - \frac{1}{B(r)} \right) \\
R_{11} - \frac{1}{2} R g_{11} & = \frac{1}{r} \frac{\partial_r{A(r)}}{A(r) B(r)}
- \frac{1}{r^2}\left( 1 - \frac{1}{B(r)} \right) \\
R_{22} - \frac{1}{2} R g_{22} & = \frac{\partial_r{A(r)}}{A(r)}
- \frac{\partial_r{B(r)}}{B(r)}
+ r \frac{\cdiffpartialwrt{r}{2}{black}{A(r)}}{A(r)}
- \frac{r}{2} \frac{\partial_r{A(r)} B(r)}{A(r) B(r)}
- \frac{r}{2} \left( \frac{\partial_r{A(r)}}{A(r)} \right)^2 \\
R_{33} - \frac{1}{2} R g_{33} & = R_{22} + \frac{r^2}{2} R \\
